- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_system_vxlan – Configure VXLAN devices in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify system feature and vxlan category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
state string / required | Choices: present absent | Indicates whether to create or remove the object.
system_vxlan dictionary | Default: null | Configure VXLAN devices.
| dstport integer |  | VXLAN destination port (1 - 65535).
| interface string |  | Outgoing interface for VXLAN encapsulated traffic. Source system.interface.name.
| ip_version string | Choices: ipv4-unicast ipv6-unicast ipv4-multicast ipv6-multicast | IP version to use for the VXLAN interface and so for communication over the VXLAN. IPv4 or IPv6 unicast or multicast.
| multicast_ttl integer |  | VXLAN multicast TTL (1-255).
| name string / required |  | VXLAN device or interface name. Must be a unique interface name.
| remote_ip list |  | IPv4 address of the VXLAN interface on the device at the remote end of the VXLAN.
|  | ip string / required |  | IPv4 address.
| remote_ip6 list |  | IPv6 IP address of the VXLAN interface on the device at the remote end of the VXLAN.
|  | ip6 string / required |  | IPv6 address.
| vni integer |  | VXLAN network ID.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure VXLAN devices.
        fortios_system_vxlan:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          system_vxlan:
            dstport: "3"
            interface: "<your_own_value> (source system.interface.name)"
            ip_version: "ipv4-unicast"
            multicast_ttl: "6"
            name: "default_name_7"
            remote_ip:
             -
                ip: "<your_own_value>"
            remote_ip6:
             -
                ip6: "<your_own_value>"
            vni: "12"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.